public inbox for mauve-patches@sourceware.org
 help / color / mirror / Atom feed
* Some builder script cleanups
@ 2007-04-18 11:53 Mark Wielaard
  0 siblings, 0 replies; only message in thread
From: Mark Wielaard @ 2007-04-18 11:53 UTC (permalink / raw)
  To: mauve-patches; +Cc: Andrew John Hughes

[-- Attachment #1: Type: text/plain, Size: 689 bytes --]

Hi,

This updates CVS with the current scripts as ran on builder. The scripts
now use a 'magic' cacerts file which really should be generated on the
machine itself. It was generated on a different Fedora Core 6 machine
http://sourceware.org/cgi-bin/cvsweb.cgi/java-gcj-compat/generate-cacerts.pl?cvsroot=rhug)

2007-04-18  Mark Wielaard  <mark@klomp.org>

       * Build: Enable ClasspathRelease.
       * Cacao: Copy 'magic' cacerts.
       * Classpath: Update before autogen and copy result to dist.
       * ClasspathRelease: Likewise. And don't build with jikes.
       * Ecj: Disable ecj with gcj (native) and ecj with native-ecj.
       * Jamvm: Copy 'magic' cacerts.

Cheers,

Mark

[-- Attachment #2: cacerts --]
[-- Type: application/octet-stream, Size: 67359 bytes --]

[-- Attachment #3: more-cleanup.patch --]
[-- Type: text/x-patch, Size: 7238 bytes --]

Index: Build
===================================================================
RCS file: /cvs/mauve/builder/scripts/Build,v
retrieving revision 1.4
diff -u -r1.4 Build
--- Build	13 Feb 2007 17:07:31 -0000	1.4
+++ Build	18 Apr 2007 11:39:44 -0000
@@ -21,7 +21,7 @@
 
 # Order matters here.
 Classpath
-#ClasspathFutureRelease
+ClasspathRelease
 Jamvm
 #JamvmFutureRelease
 Cacao
Index: Cacao
===================================================================
RCS file: /cvs/mauve/builder/scripts/Cacao,v
retrieving revision 1.2
diff -u -r1.2 Cacao
--- Cacao	13 Feb 2007 17:07:31 -0000	1.2
+++ Cacao	18 Apr 2007 11:39:44 -0000
@@ -15,4 +15,8 @@
 
 Report "cacao build" $? build/Log.Std || exit 1
 
+## hack hack, add prepared cacerts (mauve tests need this)
+mkdir -p $TOP/cacao/install/jre/lib/security
+cp $TOP/cacerts $TOP/cacao/install/jre/lib/security
+
 exit 0
Index: Classpath
===================================================================
RCS file: /cvs/mauve/builder/scripts/Classpath,v
retrieving revision 1.5
diff -u -r1.5 Classpath
--- Classpath	13 Feb 2007 17:07:31 -0000	1.5
+++ Classpath	18 Apr 2007 11:39:44 -0000
@@ -6,7 +6,7 @@
 
 cd $TOP/classpath
 
-(cd classpath; ./autogen.sh)
+(cd classpath; cvs update; ./autogen.sh)
 
 Status "building classpath with ecj"
 (
@@ -23,6 +23,7 @@
 
 cp build/lib/glibj.zip /var/www/dist/glibj-latest.zip
 cp build/tools/tools.zip /var/www/dist/tools-latest.zip
+cp build/classpath-*.tar.gz  /var/www/dist/classpath-latest.tar.gz
 
 # Status "building classpath with gcj trunk"
 # (
Index: ClasspathRelease
===================================================================
RCS file: /cvs/mauve/builder/scripts/ClasspathRelease,v
retrieving revision 1.2
diff -u -r1.2 ClasspathRelease
--- ClasspathRelease	19 Jun 2006 19:53:33 -0000	1.2
+++ ClasspathRelease	18 Apr 2007 11:39:44 -0000
@@ -8,27 +8,22 @@
 
 VERSION=`cat classpath/configure.ac|grep 'AC_INIT'|awk -F',' '{print $2}'`
 
-(cd classpath; ./autogen.sh)
+(cd classpath; cvs update; ./autogen.sh)
 
-# Now build with jikes.
 (
+rm -rf release-build
+mkdir release-build
 
-rm -rf jikes-build jikes-install
-mkdir jikes-build jikes-install
-
-echo "===== Building last classpath release $VERSION with jikes"
-# Status "building last classpath release with jikes"
+echo "===== Building last classpath release $VERSION"
+Status "building last classpath release $VERSION"
 
 (
-cd jikes-build
+cd release-build
 set -e
 exec > Log 2>&1
-
-../classpath/configure --prefix=$(cd ../jikes-install && pwd) \
-    --with-jikes --enable-gtk-cairo --enable-xmlj --enable-Werror &&
-make all install
+../classpath/configure && make distcheck
 )
-cp jikes-build/lib/glibj.zip /var/www/dist/glibj-last-release.zip
+Report "last classpath release $VERSION build" $? release-build/Log
 
-Report "last classpath release $VERSION build with jikes" $? jikes-build/Log
+cp release-build/classpath-*.tar.gz  /var/www/dist/
 )
Index: Ecj
===================================================================
RCS file: /cvs/mauve/builder/scripts/Ecj,v
retrieving revision 1.4
diff -u -r1.4 Ecj
--- Ecj	13 Feb 2007 17:07:31 -0000	1.4
+++ Ecj	18 Apr 2007 11:39:44 -0000
@@ -23,48 +23,49 @@
 Report "ecj built with gcj -C" $? ecj-gcj-build/Log.Std
 
 # ---------------------------------------------------------------
-Status "building ecj with gcj (native)"
-
-# reuse ecj-gcj-build dir
-(
-cd ecj-gcj-build
-exec > Log-native.Std 2>&1
-set -e
-
-srcdir=`pwd`/../org.eclipse.jdt.core
-
-# Clean up from last run.
-rm -rf Out
-mkdir Out
-
-(cd $srcdir
- find compiler batch -name \*.java -o -name \*.properties -o -name \*.rsc) |
-(  # another subshell since we're setting 'objects' here.
-objects=
-while read file; do
-  case $file in
-    *.java)
-      o=Out/${file%.java}.o
-      args='--encoding=ISO-8859-1'
-      ;;
-    *.properties | *.rsc)
-      # Avoid name clash in object file names
-      o=Out/_props/${file%.properties}.o
-      base=`echo "$file" | sed -e 's,^[^/]*/,,'`
-      args="--resource $base"
-      ;;
-  esac
-  dir=`dirname $o`
-  mkdir -p $dir
-  gcj $args -I$srcdir/compiler -I$srcdir/batch -o $o -c $srcdir/$file || exit 1
-  objects="$objects $o"
-done
-gcj --main=org.eclipse.jdt.internal.compiler.batch.Main -o ecj $objects
-)
-)
-
-Report "ecj built with gcj (native)" $? ecj-gcj-build/Log-native.Std
-
+# Temp disabled, takes too long.
+#Status "building ecj with gcj (native)"
+#
+## reuse ecj-gcj-build dir
+#(
+#cd ecj-gcj-build
+#exec > Log-native.Std 2>&1
+#set -e
+#
+#srcdir=`pwd`/../org.eclipse.jdt.core
+#
+## Clean up from last run.
+#rm -rf Out
+#mkdir Out
+#
+#(cd $srcdir
+# find compiler batch -name \*.java -o -name \*.properties -o -name \*.rsc) |
+#(  # another subshell since we're setting 'objects' here.
+#objects=
+#while read file; do
+#  case $file in
+#    *.java)
+#      o=Out/${file%.java}.o
+#      args='--encoding=ISO-8859-1'
+#      ;;
+#    *.properties | *.rsc)
+#      # Avoid name clash in object file names
+#      o=Out/_props/${file%.properties}.o
+#      base=`echo "$file" | sed -e 's,^[^/]*/,,'`
+#      args="--resource $base"
+#      ;;
+#  esac
+#  dir=`dirname $o`
+#  mkdir -p $dir
+#  gcj $args -I$srcdir/compiler -I$srcdir/batch -o $o -c $srcdir/$file || exit 1
+#  objects="$objects $o"
+#done
+#gcj --main=org.eclipse.jdt.internal.compiler.batch.Main -o ecj $objects
+#)
+#)
+#
+#Report "ecj built with gcj (native)" $? ecj-gcj-build/Log-native.Std
+#
 # ---------------------------------------------------------------
 Status "building ecj with ecj on jamvm"
 
@@ -80,19 +81,20 @@
 Report "ecj built with ecj on jamvm" $? ecj-ecj-build/Log.Std
 
 # ---------------------------------------------------------------
-Status "building ecj with native-ecj"
-
-rm -rf ecj-native-build
-mkdir ecj-native-build
-(
-cd org.eclipse.jdt.core
-exec > ../ecj-native-build/Log.Std 2>&1
-set -e
-find compiler batch -name \*.java | CLASSPATH=compiler:batch xargs ../ecj-gcj-build/ecj -1.4 -bootclasspath $TOP/classpath/install/share/classpath/glibj.zip -classpath compiler:batch -d ../ecj-native-build -nowarn
-)
-
-Report "ecj built with native-ecj" $? ecj-native-build/Log.Std
-
+# Temp disabled, because native-ecj is disabled
+#Status "building ecj with native-ecj"
+#
+#rm -rf ecj-native-build
+#mkdir ecj-native-build
+#(
+#cd org.eclipse.jdt.core
+#exec > ../ecj-native-build/Log.Std 2>&1
+#set -e
+#find compiler batch -name \*.java | CLASSPATH=compiler:batch xargs ../ecj-gcj-build/ecj -1.4 -bootclasspath $TOP/classpath/install/share/classpath/glibj.zip -classpath compiler:batch -d ../ecj-native-build -nowarn
+#)
+#
+#Report "ecj built with native-ecj" $? ecj-native-build/Log.Std
+#
 # ---------------------------------------------------------------
 Status "creating ecj.jar"
 (
Index: Jamvm
===================================================================
RCS file: /cvs/mauve/builder/scripts/Jamvm,v
retrieving revision 1.3
diff -u -r1.3 Jamvm
--- Jamvm	13 Feb 2007 17:07:31 -0000	1.3
+++ Jamvm	18 Apr 2007 11:39:44 -0000
@@ -16,4 +16,8 @@
 
 Report "jamvm build" $? build/Log.Std || exit 1
 
+## hack hack, add prepared cacerts (mauve tests need this)
+mkdir -p $TOP/jamvm/install/lib/security
+cp $TOP/cacerts $TOP/jamvm/install/lib/security
+
 exit 0

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2007-04-18 11:53 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2007-04-18 11:53 Some builder script cleanups Mark Wielaard

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).